petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscGoogleDriveAuthorize

Get authorization and refresh token for accessing Google drive from PETSc

### Synopsis

    PetscErrorCode PetscGoogleDriveAuthorize(MPI_Comm comm,char access_token[],char refresh_token[],size_t tokensize)

Not collective, only the first process in MPI_Comm does anything Many br

### Input Parameters

| comm | - the MPI communicator Many br
| tokensize | - size of the token arrays Many br

### Output Parameters

| access_token | - can be used with PetscGoogleDriveUpload() for this one session Many br
| refresh_token | - can be used for ever to obtain new access_tokens with PetscGoogleDriveRefresh(), guard this like a password Many brit gives access to your Google Drive Many br

Notes: This call requires stdout and stdin access from process 0 on the MPI communicator Many br

You can run src/sys/webclient/examples/tutorials/googleobtainrefreshtoken to get a refresh token and then in the future pass it to Many brPETSc programs with -google_refresh_token XXX Many br

Many br

### See Also

PetscGoogleDriveRefresh(), PetscGoogleDriveUpload(), PetscURLShorten()

Level:intermediate
Location:src/sys/webclient/google.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages src/sys/webclient/examples/tutorialsgoogleobtainrefreshtoken.c.html